﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{
    public class Person
    {
        public int PersonId { get; set; }

        [MaxLength(255)]
        public string FirstName { get; set; }

        [MaxLength(128)]
        public string LastName { get; set; }

        public List<Contact> Contacts { get; set; } = new List<Contact>();

        [NotMapped]
        public string FirstLastName => FirstName + " " + LastName;

        [NotMapped]
        public string LastFirstName => LastName + " " + FirstName;
    }
}
